.main-btn {
    border: none;
    outline: none;
    cursor: pointer;
    min-height: 48px;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    padding: 8px 24px;
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: rem(8);

    span {
        top: 2px;
        position: relative;
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: 24px;
    }
    span + i {
        margin-left: 6px;
    }

    i + span {
        margin-left: 6px;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &:active {
        top: 1px;
    }

    &--white {
        color: #111;
        background: $white;

        &:hover {
            color: #111;
            background: #eaeaea;
        }
    }
}

[data-favorite-add] {

    span {

        &:after {
            content: attr(data-favorite-base);
        }
    }

    .favorite-border {
        fill: #111;
    }

    .favorite-fill {
        fill: none;
    }

    &.added {

        .favorite-fill {
            fill: #111;
        }

        span {

            &:after {
                content: attr(data-favorite-added);
            }
        }
    }
}

.width-100 {
    width: 100%;
}
